"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.anchorOption = exports.defaultLinkifyOptions = exports.defaultMarkdownItOption = exports.defaultTaskListsOption = void 0;
const github_slugger_1 = __importDefault(require("github-slugger"));
const defaultTaskListsOption = {
    enable: true,
    label: true,
    labelAfter: true,
};
exports.defaultTaskListsOption = defaultTaskListsOption;
const defaultMarkdownItOption = {
    codeHighlight: false,
    math: false,
    disableRules: [],
    html: false,
    taskListsOption: defaultTaskListsOption,
};
exports.defaultMarkdownItOption = defaultMarkdownItOption;
const defaultLinkifyOptions = {
    fuzzyEmail: false,
    fuzzyLink: false,
    fuzzyLinkUseHttps: true,
};
exports.defaultLinkifyOptions = defaultLinkifyOptions;
const anchorOption = {
    level: 1,
    slugify(str) {
        const result = new github_slugger_1.default().slug(str);
        return result === '' ? '_' : result;
    },
};
exports.anchorOption = anchorOption;
//# sourceMappingURL=option.js.map