"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultTocOption = void 0;
const slugify_1 = require("./slugify");
const defaultTocOption = {
    includeLevel: [1, 2, 3, 4, 5, 6],
    containerClass: 'toc',
    slugify: slugify_1.slugify,
    markerPattern: /\[TOC]/im,
    listType: 'ul',
    format: (content, md) => {
        return md.renderInline(content).replace(/<\/?a.*?>/g, '');
    },
    forceFullToc: false,
    containerHeaderHtml: `<div class="toc-container-header">目录</div>`,
    containerFooterHtml: undefined,
    transformLink: undefined,
};
exports.defaultTocOption = defaultTocOption;
//# sourceMappingURL=toc-option.js.map